| Home | Libraries | People | FAQ | More

## Function template find_last

boost::algorithm::find_last — Find last algorithm.

## Synopsis

    // In header: <boost/algorithm/string/find.hpp>

    template<typename Range1T, typename Range2T>
      iterator_range< typename range_iterator< Range1T >::type >
      find_last(Range1T & Input, const Range2T & Search);

## Description

Search for the last occurrence of the substring in the input.

Parameters: |
`Input` | A string which will be searched.
`Search` | A substring to be searched for.
Returns: | An `iterator_range` delimiting the match. Returned iterator is either `Range1T::iterator` or `Range1T::const_iterator`, depending on the constness of the input parameter.
Notes: | This function provides the strong exception-safety guarantee